All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Interface SimpleFilterDefinitionModelInterface

All Known Subinterfaces:
  AdvancedFilterDefinitionModelInterface, AdvancedFilterModelInterface, SimpleFilterListEditorModelInterface

All Known Implementing Classes:
  BusinessModelToAdvancedFilterDefinitionModelAdapter, BusinessModelToAdvancedFilterModelAdapter, BusinessQueryToAdvancedFilterModelAdapter, BusinessQueryToSimpleFilterDefinitionModelAdapter, BusinessQueryToSimpleFilterListEditorModelAdapter, DefaultAdvancedFilterModelAdapter, InformationMapToSimpleFilterDefinitionModelAdapter, InformationMapToSimpleFilterListEditorModelAdapter, SimpleFilterDefinitionModelBase, SimpleFilterListEditorModelBase

    public interface SimpleFilterDefinitionModelInterface

This interface defines the relationship between the SimpleFilterDefinitionPanel and an implemented adaptor.

Method Summary
`boolean` | `commitChanges()` Commit all changes to the native model.
`java.lang.Object` | `getApplicationData()` Used to retrieve application specific data.
`FilterItemListInterface` | `getDataSource()` The list of source items to populate the possible choices for the panel.
`java.lang.Object` | `getRootFilterObject()` Return the root filter object in the native model.
`FilterLogicTestNodeInterface` | `getSelection()` Used to get the initial selection for the control panel.
`void` | `setApplicationData(java.lang.Object data)` Used to store application specific data.
`void` | `setSelection(FilterLogicTestNodeInterface value)` Changes to the selection are done by either modifying a EditableTestNode or by setting a DefaultLogicTestNode with the changed values using this method.

Method Detail

### getDataSource

    FilterItemListInterface getDataSource()

  The list of source items to populate the possible choices for the panel.

  Returns:
    the filter item list

### getSelection

    FilterLogicTestNodeInterface getSelection()

  Used to get the initial selection for the control panel. If the object returned implements FilterLogicEditableTestNodeInterface then changes can be made directly to it. Otherwise, changes to the objects selected will be signaled after each selection change by calling setSelection()

  Returns:
    the test node at the current selection index

### setSelection

    void setSelection(FilterLogicTestNodeInterface value)

  Changes to the selection are done by either modifying a EditableTestNode or by setting a DefaultLogicTestNode with the changed values using this method. If the selection is changed by anything outside of the visual, then the visual will need to have a setModel done to it again.

  Parameters:
    `value` - the new test node for the current selection

### setApplicationData

    void setApplicationData(java.lang.Object data)

  Used to store application specific data.

  Parameters:
    `data` - to be stored with this object for application use

### getApplicationData

    java.lang.Object getApplicationData()

  Used to retrieve application specific data.

  Returns:
    the user specific data

### commitChanges

    boolean commitChanges()

  Commit all changes to the native model.

  Returns:
    true if the native model was successfully updated, false otherwise

### getRootFilterObject

    java.lang.Object getRootFilterObject()

  Return the root filter object in the native model.

  Returns:
    the root filter object

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.